Electron2.X = ElectronFULL.X(1:5000,:);
Electron2.Y = ElectronFULL.Y(1:5000,:); 
Electron2.Z = ElectronFULL.Z(1:5000,:); 
Electron2.Th =ElectronFULL.Th(1:5000,:); 
Electron2.Ps =ElectronFULL.Ps(1:5000,:); 
Electron2.dE =ElectronFULL.dE(1:5000,:); 
Electron2.SE =ElectronFULL.SE(1:5000,:); 
save('ElectronPSS.mat','Electron2')
save('ElectronB10C10Al5s.mat','ElectronB10C10Al5s')
save('ElectronB10C10Mg5Al5s.mat','ElectronB10C10Mg5Al5s')
save('ElectronB10C10s.mat','ElectronB10C10s')
save('ElectronCs.mat','ElectronCs')
save('ElectronLi5B10C10Mg5Al5s.mat','ElectronLi5B10C10Mg5Al5s')


for i = 1:62
    TH = Electron_NEW_BS(i).iTH_X;
    BSE(i) = length(find(TH>1.58));
    USE(i) = length(find(TH<0.034));
    SCE(i) = length(TH) - USE(i) - BSE(i);
    SHIFT(i) = Electron_NEW_BS(i).SHIFT;
end
FrBSE = BSE./5000;
FrSCE = SCE./5000;
FrUSE = USE./5000;
figure
    plot(SHIFT,FrUSE,'b')
    hold on
    plot(SHIFT,FrBSE,'g')
    plot(SHIFT,FrSCE,'r')
    hold off
    legend('Unscattered','BackScattered','FrontScattered')
    title('Sphere');
    xlabel('dR [nm]'); ylabel('Signal')
    
    